<?php 
/*
# ------------------------------------------------------------------------
# Extensions for Joomla 2.5.x - Joomla 3.x - Joomla 4.x
# ------------------------------------------------------------------------
# Copyright (C) 2011-2020 Eco-Joom.com. All Rights Reserved.
# @license - PHP files are GNU/GPL V2.
# Author: Eco-Joom.com
# Author: Makeev Vladimir
#Author email: v.v.makeev@icloud.com
# Websites:  http://eco-joom.com
# Date modified: 05/05/2020 - 13:00
# ------------------------------------------------------------------------
*/
// no direct access
defined('_JEXEC') or die;
jimport('joomla.application.module.helper');

$document 					= JFactory::getDocument();
$load_render				= $document->loadRenderer('modules');
$document->addStyleSheet(JURI::base() . 'modules/mod_ext_accordion_module_position/assets/css/default.css');		
$moduleclass_sfx			= $params->get('moduleclass_sfx');
$ext_id						= $params->get('ext_id', 'id');
$ext_jquery_ver				= $params->get('ext_jquery_ver', '1.9.1');
$ext_load_jquery			= (int)$params->get('ext_load_jquery', 1);
$ext_load_accordion			= (int)$params->get('ext_load_accordion', 1);
$ext_load_scripts			= (int)$params->get('ext_load_scripts', 1);
$ext_start					= (int)$params->get('ext_start', 1);
$ext_multiple				= $params->get('ext_multiple', 'false');
$ext_duration				= (int)$params->get('ext_duration', 200);
$ext_toggle					= $params->get('ext_toggle', 'false');

	
// load addScript
if ($ext_load_scripts == 0) {
	if ($ext_load_jquery  > 0) {
		$document->addScript('http://ajax.googleapis.com/ajax/libs/jquery/'.$ext_jquery_ver.'/jquery.min.js');
		}
	if ($ext_load_accordion > 0) {
		$document->addScript(JURI::base() . 'modules/mod_ext_accordion_module_position/assets/js/jquery.accordion.min.js'); 
		}
	$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');
	}

// load addCustomTag
if ($ext_load_scripts == 1) {
	if ($ext_load_jquery  > 0) {
		$document->addCustomTag('<script type = "text/javascript" src = "http://ajax.googleapis.com/ajax/libs/jquery/'.$ext_jquery_ver.'/jquery.min.js"></script>');		
		}
	if ($ext_load_accordion > 0) {	
		$document->addCustomTag('<script type = "text/javascript" src = "'.JURI::root().'modules/mod_ext_accordion_module_position/assets/js/jquery.accordion.min.js"></script>');
		}
	$document->addCustomTag('<script type = "text/javascript">if (jQuery) jQuery.noConflict();</script>');	
	}


//array	title,position
$names = array('title', 'position');
$max = 10;
foreach($names as $name) {
    ${$name} = array();
    for($i = 1; $i <= $max; ++$i)
        ${$name}[] = $params->get($name . $i);
}	
require JModuleHelper::getLayoutPath('mod_ext_accordion_module_position', $params->get('layout', 'default'));
?>